Name:           nqptp-unstable
Version:        1.2.5
Release:        29%{?dist}
Summary:        Not Quite PTP (unstable)

License:        GPLv2+
URL:            https://github.com/mikebrady/nqptp
VCS:            git+https://github.com/Leuca/nqptp#a88d33b8ae990376b8c33986f942ca2168ff51a5:

Source:         nqptp-a88d33b8.tar.gz

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  make
BuildRequires:  systemd-rpm-macros


%description
nqptp is a daemon that monitors timing data from any PTP clocks – up to 64 – it sees on ports 319 and 320. It maintains records for each clock, identified by Clock ID and IP.

It is a companion application to Shairport Sync and provides timing information for AirPlay 2 operation.

This version of nqptp has been built from the development branch

%prep
%setup -T -b 0 -q -n nqptp

%build
# Avoid creating user and groups during package build
sed -i '/getent/d' Makefile.am

# Fix systemd unit path
sed -i 's!$(libdir)!/usr/lib!g' Makefile.am

autoreconf -fi
%configure --with-systemd-startup
%make_build

%install
%make_install

%pre
getent group %{name} &>/dev/null || groupadd -r %{name} &>/dev/null
getent passwd %{name} &> /dev/null || useradd -r -M -g %{name} -s /sbin/nologin nqptp &>/dev/null

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%{_bindir}/nqptp
%{_unitdir}/nqptp.service

%changelog
